| Win32-2.1.1.1: A binding to part of the Win32 library | Source code | Contents | Index

System.Win32.Security

Portability | portable
Stability | provisional
Maintainer | Simon Marlow

Contents

Types
Functions

Description
FFI-bindings to interact with Win32 Security
Synopsis

data SID
type PSID = Ptr SID
data ACL
type PACL = Ptr ACL
data SECURITY_DESCRIPTOR
type SECURITY_DESCRIPTOR_CONTROL = WORD
se_OWNER_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
se_GROUP_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
se_DACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL
se_DACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
se_SACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL
se_SACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL
se_DACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL
se_SACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL
se_DACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL
se_SACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL
se_DACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL
se_SACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL
se_SELF_RELATIVE :: SECURITY_DESCRIPTOR_CONTROL
type SECURITY_INFORMATION = DWORD
oWNER_SECURITY_INFORMATION :: SECURITY_INFORMATION
gROUP_SECURITY_INFORMATION :: SECURITY_INFORMATION
dACL_SECURITY_INFORMATION :: SECURITY_INFORMATION
sACL_SECURITY_INFORMATION :: SECURITY_INFORMATION
getFileSecurity :: String -> SECURITY_INFORMATION -> IO SecurityDescriptor

Types

data SID | Source

type PSID = Ptr SID | Source

data ACL | Source

type PACL = Ptr ACL | Source

data SECURITY_DESCRIPTOR | Source

type SECURITY_DESCRIPTOR_CONTROL = WORD | Source

se_OWNER_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_GROUP_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_DACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL | Source

se_DACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SACL_PRESENT :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SACL_DEFAULTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_DACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SACL_AUTO_INHERIT_REQ :: SECURITY_DESCRIPTOR_CONTROL | Source

se_DACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SACL_AUTO_INHERITED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_DACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SACL_PROTECTED :: SECURITY_DESCRIPTOR_CONTROL | Source

se_SELF_RELATIVE :: SECURITY_DESCRIPTOR_CONTROL | Source

type SECURITY_INFORMATION = DWORD | Source

oWNER_SECURITY_INFORMATION :: SECURITY_INFORMATION | Source

gROUP_SECURITY_INFORMATION :: SECURITY_INFORMATION | Source

dACL_SECURITY_INFORMATION :: SECURITY_INFORMATION | Source

sACL_SECURITY_INFORMATION :: SECURITY_INFORMATION | Source

Functions

getFileSecurity :: String -> SECURITY_INFORMATION -> IO SecurityDescriptor | Source

Produced by Haddock version 0.8